Runtime

## org.eclipse.gmf.runtime.diagram.ui.dialogs.sortfilter
Class SortFilterPage.SortFilterCellModifier

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.dialogs.sortfilter.SortFilterPage.SortFilterCellModifier

All Implemented Interfaces:
  ICellModifier

Enclosing class:
  SortFilterPage

public class SortFilterPage.SortFilterCellModifier
extends java.lang.Object
implements ICellModifier

SortFilterCellModifiers. Simple cell modifiers for the first column only

Constructor Summary
`SortFilterPage.SortFilterCellModifier()`

Method Summary
`boolean` `canModify(java.lang.Object element, java.lang.String property)` Only allows the visibility property to be modified.
`java.lang.Object` `getValue(java.lang.Object element, java.lang.String property)` Gets the value of the table's cell.
`void` `modify(java.lang.Object element, java.lang.String property, java.lang.Object value)` Modifies the visibility of the compartment item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortFilterPage.SortFilterCellModifier

    public SortFilterPage.SortFilterCellModifier()

Method Detail

### canModify

    public boolean canModify(java.lang.Object element,
                             java.lang.String property)

  Only allows the visibility property to be modified.

  Specified by:
    `canModify` in interface `ICellModifier`
  See Also:
    `ICellModifier.canModify(java.lang.Object, java.lang.String)`

### getValue

    public java.lang.Object getValue(java.lang.Object element,
                                     java.lang.String property)

  Gets the value of the table's cell.

  Specified by:
    `getValue` in interface `ICellModifier`
  Parameters:
    `element` - the SortFilterElement
    `property` - the table property
  Returns:
    the cell's value
  See Also:
    `ICellModifier.getValue(java.lang.Object, java.lang.String)`

### modify

    public void modify(java.lang.Object element,
                       java.lang.String property,
                       java.lang.Object value)

  Modifies the visibility of the compartment item.

  Specified by:
    `modify` in interface `ICellModifier`
  Parameters:
    `element` - the SortFilterElement
    `property` - the table property
    `value` - the cell's new value
  See Also:
    `ICellModifier.modify(java.lang.Object, java.lang.String, java.lang.Object)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.